<?php
/**
 *
 * @category        modules
 * @package         minihero Video
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         0.2
 * @lastmodified    August 15, 2017
 *
 */
 
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

if(!file_exists(WB_PATH.'/modules/minivhero/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/minivhero/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/minivhero/languages/'.LANGUAGE.'.php');
}
require_once(dirname(__FILE__).'/functions.php');

// Setup template object
$template = new Template(WB_PATH.'/modules/minivhero');
$template->set_file('page', 'modify.htt');
$template->set_block('page', 'main_block', 'main');

$max_upload = (int)(ini_get('upload_max_filesize'));
$max_post = (int)(ini_get('post_max_size'));
$memory_limit = (int)(ini_get('memory_limit'));
$upload_mb = min($max_upload, $max_post, $memory_limit);


// Get page content
$query = "SELECT * FROM ".TABLE_PREFIX."mod_mini_v_hero WHERE section_id = '$section_id'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();
$title = ($settings['title']);
$text1 = ($settings['text1']);
$text2 = ($settings['text2']);
$height = ($settings['height']);
$anititle = $settings['anititle'];
$anitext1 = $settings['anitext1'];
$anitext2 = $settings['anitext2'];
$delayt = $settings['delayt'];
$delay1 = $settings['delay1'];
$delay2 = $settings['delay2'];
$durationt = $settings['durationt'];
$duration1 = $settings['duration1'];
$duration2 = $settings['duration2'];

$cp = $settings['parallax'] ? 'checked="checked"':'';
//die($settings['parallax']);
$basedir = WB_PATH.MEDIA_DIRECTORY.'/minivhero/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/minivhero/';
$imglist = '';
$image = '';
$mp4video = '';
$webmvideo = '';
if(file_exists($basedir.'image-'.$section_id.'.mp4')) $mp4video = $baseurl.'image-'.$section_id.'.mp4';
if(file_exists($basedir.'image-'.$section_id.'.webm')) $webmvideo = $baseurl.'image-'.$section_id.'.webm';
if($webmvideo) {
	$del = ' <form style="display:inline" method="post" action="'.WB_URL.'/modules/minivhero/save.php"><input type="hidden" name="page_id" value="'.$page_id.'" /><input type="hidden" name="section_id" value="'.$section_id.'" /><input type="hidden" name="fext" value="webm" /><input style="float:right;" type="submit" value="x" /></form>';
	$imglist .= '<div style="display:inline-block;vertical-align:top;max-width:350px;margin:0 3px;"><strong>Webm Video</strong>'.$del.'<br><video style="max-width:350px;margin:0 3px;"  class="video-background" controls  src="'.$webmvideo.'?a='.time().'"></video></div>';	
}
if($mp4video) {
	$del = ' <form style="display:inline" method="post" action="'.WB_URL.'/modules/minivhero/save.php"><input type="hidden" name="page_id" value="'.$page_id.'" /><input type="hidden" name="section_id" value="'.$section_id.'" /><input type="hidden" name="fext" value="mp4" /><input style="float:right;" type="submit" value="x" /></form>';
	$imglist .= '<div style="display:inline-block;vertical-align:top;max-width:350px;margin:0 3px;"><strong>MP4 Video</strong>'.$del.'<br><video style="max-width:350px;margin:0 3px;"  class="video-background" controls  src="'.$mp4video.'?a='.time().'"></video></div>';	
}
if(file_exists($basedir.'image-'.$section_id.'.jpg')) $image = $baseurl.'image-'.$section_id.'.jpg';
if($image) {
	$del = ' <form style="display:inline" method="post" action="'.WB_URL.'/modules/minivhero/save.php"><input type="hidden" name="page_id" value="'.$page_id.'" /><input type="hidden" name="section_id" value="'.$section_id.'" /><input type="hidden" name="fext" value="jpg" /><input style="float:right;" type="submit" value="x" /></form>';
	$imglist .= '<div style="display:inline-block;vertical-align:top;max-width:350px;margin:0 3px;"><strong>Image</strong>'.$del.'<br><img style="max-width:350px;margin:0 3px;" src="'.$image.'" alt="" title=""></div>'; 
}
$image = '';
if(file_exists($basedir.'image-'.$section_id.'.png')) $image = $baseurl.'image-'.$section_id.'.png';
if($image) {
	$del = ' <form style="display:inline" method="post" action="'.WB_URL.'/modules/minivhero/save.php"><input type="hidden" name="page_id" value="'.$page_id.'" /><input type="hidden" name="section_id" value="'.$section_id.'" /><input type="hidden" name="fext" value="png" /><input style="float:right;" type="submit" value="x" /></form>';
	$imglist .= '<div style="display:inline-block;vertical-align:top;max-width:350px;margin:0 3px;"><strong>Image</strong>'.$del.'<br><img style="max-width:350px;margin:0 3px;" src="'.$image.'" alt="" title=""></div>'; 
}



// Insert vars
$template->set_var(array(
								'PAGE_ID' => $page_id,
								'SECTION_ID' => $section_id,
								'WB_URL' => WB_URL,
								'TITLE' => htmlspecialchars($title),
								'TEXT1' => htmlspecialchars($text1),
								'TEXT2' => htmlspecialchars($text2),
								'ANITITLE' => animations($anititle),
								'ANITEXT1' => animations($anitext1),
								'ANITEXT2' => animations($anitext2),
								'DELAYT' => ani_seconds($delayt),
								'DELAY1' => ani_seconds($delay1),
								'DELAY2' => ani_seconds($delay2),
								'DURATIONT' => ani_seconds($durationt),
								'DURATION1' => ani_seconds($duration1),
								'DURATION2' => ani_seconds($duration2),
								'HEIGHT' => $height,
								'TEXT_SAVE' => $TEXT['SAVE'],
								'TEXT_CANCEL' => $TEXT['CANCEL'],
								'TEXT_MINIHERO' => $MHV['MINIHERO'],
								'TEXT_SETTINGS' => $MHV['SETTINGS'],
								'TEXT_UPLOAD' => $MHV['UPLOAD'],
								'TEXT_MAXMB' => str_replace('%%',$upload_mb,$MHV['MAXMB']),
								'TEXT_TITLE' => $MHV['TITLE'],
								'TEXT_TEXT1' => $MHV['TEXT1'],
								'TEXT_TEXT2' => $MHV['TEXT2'],
								'TEXT_ANIMATION' => $MHV['ANIMATION'],
								'TEXT_DURATION' => $MHV['DURATION'],
								'TEXT_DELAY' => $MHV['DELAY'],
								'TEXT_HEIGHT' => $MHV['HEIGHT'],
								'HELP_HEIGHT' => $MHV['HEIGHTHELP'],
								'NOTE' => $MHV['NOTE'],
								'FILE' => $MHV['FILE'],
								'CURRENT' => $MHV['CURRENT'],
								'UPLOADING' => $MHV['UPLOADING'],
								'IMAGES' => $imglist
								)
						);

// Parse template object
$template->parse('main', 'main_block', false);
$template->pparse('output', 'page');

?>