<?php
/**
 *
 * @category        modules
 * @package         minihero Video
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         0.2
 * @lastmodified    August 15, 2017
 *
 */
 
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

$get_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_mini_v_hero WHERE section_id = '$section_id'");
$settings = $get_settings->fetchRow();
$title = ($settings['title']);
$text1 = nl2br($settings['text1']);
$text2 = nl2br($settings['text2']);
$titleclass = $settings['anititle'] ? ' animated '.$settings['anititle']:'';
$text1class = $settings['anitext1'] ? ' animated '.$settings['anitext1']:'';
$text2class = $settings['anitext2'] ? ' animated '.$settings['anitext2']:'';
$titleclass .= $settings['delayt'] ? ' delay'.$settings['delayt']:'';
$text1class .= $settings['delay1'] ? ' delay'.$settings['delay1']:'';
$text2class .= $settings['delay2'] ? ' delay'.$settings['delay2']:'';
$titleclass .= $settings['durationt'] ? ' duration'.$settings['durationt']:'';
$text1class .= $settings['duration1'] ? ' duration'.$settings['duration1']:'';
$text2class .= $settings['duration2'] ? ' duration'.$settings['duration2']:'';


$height = ($settings['height']);
$pc = $settings['parallax'] ? ' heroparallax':'';
$style_height = $height.'px';
if($height < 101) $style_height = $height.'vh';

$basedir = WB_PATH.MEDIA_DIRECTORY.'/minivhero/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/minivhero/';
$mp4video = '';
$webmvideo = '';
if(file_exists($basedir.'image-'.$section_id.'.mp4')) $mp4video = $baseurl.'image-'.$section_id.'.mp4';
if(file_exists($basedir.'image-'.$section_id.'.webm')) $webmvideo = $baseurl.'image-'.$section_id.'.webm';

if($mp4video || $webmvideo) {
	echo '<div class="mini-v-hero hero-'.$section_id.'" style="height: '.$style_height.';">'; 
	echo '<video class="video-background" no-controls muted playsinline loop autoplay>';
	if($webmvideo) echo '<source src="'.$webmvideo.'?a='.time().'" type="video/webm">';
	if($mp4video) echo '<source src="'.$mp4video.'?a='.time().'" type="video/mp4">';
	echo '</video>';	
	echo '<div class="mini-v-hero-overlay"></div>';
	echo '<div class="mini-v-hero-text">';
	if ($title) echo '<h1 class="'.$titleclass.'">'.$title.'</h1>';
	if ($text1) echo '<p class="pfirst'.$text1class.'">'.$text1.'</p>';
	if ($text2) echo '<p class="psecond'.$text2class.'">'.$text2.'</p>';
	echo "</div>\n"; 
	echo "</div>\n"; 
}